using System.Threading.Tasks;

namespace WK5.Core.Basis
{
    /// <summary>
    /// Generalisierung von Funktionen und Eigenschaften zur Vereinheitlichung von Formularseiten.
    /// </summary>
    public interface IEditPage
    {
        string ActivePageName { get; }
        string FinalBreadcrumbItemName { get; }
        EditMode Modus { get; set; }

        Task LadeEditModeAsync();
        string GetNavListClass(bool active);

        string GetSubNavListClass(bool active);
        string GetTabClass(bool active);
    }
}
